Foreman - Bug #12241

Counter cache update didn't pick up changes from after_commit callback
10/21/2015 09:44 AM - Tomer Brisker

Status:
Priority:
Assignee:
Category:

Target version:

Closed
Normal
Tomer Brisker
Rails

1.10.1

Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.9.1
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2839
Description

“after_commit’ callback doesn't have a ‘changes’ hash, instead need to use “previous_changes™ hash.

Related issues:

Related to Foreman - Bug #10133: Massive db deadlocks in postgres from hosts_... Closed 04/14/2015

Associated revisions

Revision 565dc8e5 - 10/26/2015 08:45 AM - Tomer Brisker

Fixes #12241 - Correct counter_cache deadlock fix

Previous fix had a bug - in “:after_commit” “self.changes’ is empty, and the

changes are in “self.previous_changes’. Also this only needs to run on

update.

This commit adds tests to make sure cached_counters continue to work

correctly in the future.

Revision 7f66b46b - 01/19/2016 08:05 AM - Tomer Brisker

Fixes #12241 - Correct counter_cache deadlock fix

Previous fix had a bug - in “:after_commit” “self.changes’ is empty, and the

changes are in “self.previous_changes’. Also this only needs to run on

update.

This commit adds tests to make sure cached_counters continue to work

correctly in the future.

(cherry picked from commit 565dc8e5292346cafe48601396¢83c54cc582f00)

History

#1 - 10/21/2015 09:45 AM - Tomer Brisker

- Related to Bug #10133: Massive db deadlocks in postgres from hosts_counter updates with counter_cache_fix.rb added

#2 - 10/25/2015 03:45 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2839 added

- Pull request deleted ()

#3 - 10/26/2015 08:46 AM - Dominic Cleal

- translation missing: en.field_release set to 104

#4 - 10/26/2015 08:46 AM - Dominic Cleal

- Subject changed from fix for #101383 was incorrect to Counter cache update didn't pick up changes from after_commit callback

- Category changed from Dashboard to Rails

05/18/2024

1/2




#5 - 10/26/2015 09:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 292346cafe48601 4 2f00.
